Update Banner

Updates a *Banner*. **Read Only Fields** * date_created * id

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Checkout Content | modify | `store_content_checkout` | | Checkout Content | read-only | `store_content_checkout_read_only` | | Content | modify | `store_v2_content` | | Content | read-only | `store_v2_content_read_only` | To read or modify scripts on checkout pages, add `Checkout Content` scopes. ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

idstringRequired

Request

This endpoint expects an object.
contentstringRequired
Contains the banner content. Returned as a string and includes HTML formatting.
date_typeenumRequired
This specifies whether the banner should be visible during a specific date range.
Allowed values:
locationenumRequired
Location on the page.
Allowed values:
namestringRequired
Name of the banner.
pageenumRequired
Page the Banner is located on.
Allowed values:
date_fromstringOptional

If the datetype is set as ‘custom’, this field specifies the date when the banner should become visible on the storefront.

date_tostringOptional

If the datetype is set as ‘custom’, this field specifies the date when the banner should stop being visible on the storefront.

item_idstringOptional

If the banner is on a specific category or brand page, then the item_id will correspond the category or brand ID.

visiblestringOptional

Integer value denoting whether or not the banner is visible on the storefront: 1 = visible; 0 = not visible

Response

contentstring
Contains the banner content. Returned as a string and includes HTML formatting.
date_typeenum
This specifies whether the banner should be visible during a specific date range.
Allowed values:
locationenum
Location on the page.
Allowed values:
namestring
Name of the banner.
pageenum
Page the Banner is located on.
Allowed values:
date_createdstring
Date the banner is created.
date_fromstring

If the datetype is set as ‘custom’, this field specifies the date when the banner should become visible on the storefront.

date_tostring

If the datetype is set as ‘custom’, this field specifies the date when the banner should stop being visible on the storefront.

idinteger

Id of the banner. This is a READ-ONLY field; do not set or modify its value in a POST or PUT request.

item_idstring

If the banner is on a specific category or brand page, then the item_id will correspond the category or brand ID.

visiblestring

Integer value denoting whether or not the banner is visible on the storefront: 1 = visible; 0 = not visible